## Using RSVG with cairo Using RSVG with cairo |

## Functions

gboolean | rsvg_handle_render_cairo ()
gboolean | rsvg_handle_render_cairo_sub ()

## Description

## Functions

### rsvg_handle_render_cairo ()

    gboolean
    rsvg_handle_render_cairo (RsvgHandle *handle,
                              cairo_t *cr);

Draws a SVG to a Cairo surface

#### Parameters

handle | A RsvgHandle |
cr | A Cairo renderer |

#### Returns

`TRUE` if drawing succeeded.

Since 2.14

### rsvg_handle_render_cairo_sub ()

    gboolean
    rsvg_handle_render_cairo_sub (RsvgHandle *handle,
                                  cairo_t *cr,
                                  const char *id);

Draws a subset of a SVG to a Cairo surface

#### Parameters

handle | A RsvgHandle |
cr | A Cairo renderer |
id | An element's id within the SVG, or `NULL` to render the whole SVG. For example, if you have a layer called "layer1" that you wish to render, pass "#layer1" as the id. | [nullable]

#### Returns

`TRUE` if drawing succeeded.

Since 2.14

## Types and Values